%define name normalize
%define version 0.7.7
%define release %mkrel 14

Summary:	A tool for adjusting the volume of wave files
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		compressed-wav-files.dpatch
Patch1:		fix-flac.dpatch
Patch2:		normalize-0.7.7-audiofile-pkgconfig.patch
Patch3:		normalize-0.7.7-m4.patch
Patch4:		normalize-0.7.7-mdv-fix-local-config.patch
Patch5:		normalize-0.7.7-automake-1.13.patch
License:	GPLv2+
URL:		http://normalize.nongnu.org/
Group:		Sound/Editors and Converters
BuildRequires:	audiofile-devel
BuildRequires:	mad-devel
BuildRequires:	gettext-devel

%description
normalize is an overly complicated tool for adjusting the volume of
wave files to a standard volume level.  This is useful for things like
creating mp3 mixes, where different recording levels on different
albums can cause the volume to vary greatly from song to song.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1 -b .automake-1_13

%build
touch ./AUTHORS ./ABOUT-NLS ./ChangeLog
autoreconf -fi -I m4
%configure2_5x --with-audiofile \
	--disable-xmms
perl -pi -e 's/mkinstalldirs\s+=.*/mkinstalldirs = mkdir -p /' po/Makefile
%make

%install
%makeinstall_std
%{find_lang} %{name}

%files -f %{name}.lang
%doc README NEWS THANKS TODO
%_bindir/*
%_mandir/man1/normalize*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.7.7-14.mga3
+ Revision: 361048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.7.7-13.mga3
+ Revision: 339988
- patch5: fix build with automake 1.13

* Sat Dec 01 2012 malo <malo> 0.7.7-12.mga3
+ Revision: 324500
- update RPM group

* Fri Jul 13 2012 solbu <solbu> 0.7.7-11.mga3
+ Revision: 270530
- Fixed broken local configuration
- Fix License
- Spec cleanup

* Thu Jan 12 2012 fwang <fwang> 0.7.7-10.mga2
+ Revision: 195312
- fix patch
- add gentoo patch
- add gentoo patch to fix build with latest audiofile
- rebuild for new audiofile

* Mon Feb 07 2011 mikala <mikala> 0.7.7-9.mga1
+ Revision: 48779
- imported package normalize

